#ifndef DMXPERSONALITY_H
#define DMXPERSONALITY_H

/** Define the DMX personality to avoid dealing with
 * numbers and change it easyly in case
 *
1 - Volumen Coarse
2 - Pan
3 - Folder
4 - File
5 - Playback
    0-24 : Play. Reproduce desde el inicio del fichero.
    25-49: Stop.
    50-74: Resume. Reproduce desde el punto desde el que se paró, o desde el punto designado por Entry Point.
6 - Control - Reservado, sin uso en este momento.
7 - Volume Fine
8 - Entry Point Coarse - Punto de entrada de reproducción.
9 - Entry Point Fine - El valor de estos dos canales en centésimas de segundo.
*/

// ToDo: Tiene bastante sentido cambiar estos defines por un enum
// ¿Ganaría algo en eficiencia? En claridad del código sí.

#define VOLUME_COARSE 0
#define PAN 1
#define DMX_FOLDER 2
#define DMX_FILE 3
#define PLAYBACK 4
#define CONTROL 5
#define VOLUME_FINE 6
#define ENTRY_POINT_COARSE 7
#define ENTRY_POINT_FINE 8

#define LAYER_CHANNELS 4 // ToDo: esto tiene que desaparecer

#endif // DMXPERSONALITY_H
